// iyixiGames.Application/DTOs/Auth/LoginRequest.cs

using System.ComponentModel.DataAnnotations;

namespace iyixiGames.Domain.DTOs.Auth
{
    public class LoginRequest
    {
        [Required(ErrorMessage = "用户名不能为空。")]
        [StringLength(50, MinimumLength = 3, ErrorMessage = "用户名长度必须在3到50个字符之间。")]
        public string Username { get; set; } = string.Empty;

        [Required(ErrorMessage = "密码不能为空。")]
        [StringLength(50, MinimumLength = 6, ErrorMessage = "密码长度必须在6到50个字符之间。")]
        public string Password { get; set; } = string.Empty;
    }
}